GetFunnelAnalytics
POST
/analytics/v1/funnelsRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/analytics.v1.FunnelRequest",
"$ref-value": {
"type": "object",
"properties": {
"steps": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.FunnelStep",
"$ref-value": {
"type": "object",
"properties": {
"name": {
"type": "string",
"title": "name"
},
"event_type": {
"type": "string",
"title": "event_type"
},
"page_type": {
"type": "string",
"title": "page_type"
},
"filters": {
"type": "object",
"title": "filters",
"additionalProperties": {
"type": "string",
"title": "value"
}
}
},
"title": "FunnelStep",
"additionalProperties": false
}
},
"title": "steps"
},
"time_window": {
"type": "integer",
"examples": [
"1250"
],
"title": "time_window",
"format": "int32"
},
"range": {
"allOf": [
{
"$ref": "#/components/schemas/analytics.v1.DateRange",
"$ref-value": {
"type": "object",
"properties": {
"start": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "start"
},
"end": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "end"
}
},
"title": "DateRange",
"additionalProperties": false
}
}
],
"title": "range"
}
},
"title": "FunnelRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.FunnelAnalytics",
"$ref-value": {
"type": "object",
"properties": {
"total_users": {
"type": "integer",
"examples": [
"1250"
],
"title": "total_users",
"format": "int32"
},
"completed_users": {
"type": "integer",
"examples": [
"1250"
],
"title": "completed_users",
"format": "int32"
},
"completion_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "completion_rate",
"format": "double"
},
"steps": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.FunnelStepResult",
"$ref-value": {
"type": "object",
"properties": {
"step_name": {
"type": "string",
"title": "step_name"
},
"user_count": {
"type": "integer",
"examples": [
"1250"
],
"title": "user_count",
"format": "int32"
},
"conversion_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "conversion_rate",
"format": "double"
},
"dropoff_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "dropoff_rate",
"format": "double"
}
},
"title": "FunnelStepResult",
"additionalProperties": false
}
},
"title": "steps"
},
"average_time_hours": {
"type": "number",
"examples": [
"0.85"
],
"title": "average_time_hours",
"format": "double"
}
},
"title": "FunnelAnalytics",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/analytics/v1/funnels" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.FunnelAnalytics",
"$ref-value": {
"type": "object",
"properties": {
"total_users": {
"type": "integer",
"examples": [
"1250"
],
"title": "total_users",
"format": "int32"
},
"completed_users": {
"type": "integer",
"examples": [
"1250"
],
"title": "completed_users",
"format": "int32"
},
"completion_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "completion_rate",
"format": "double"
},
"steps": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.FunnelStepResult",
"$ref-value": {
"type": "object",
"properties": {
"step_name": {
"type": "string",
"title": "step_name"
},
"user_count": {
"type": "integer",
"examples": [
"1250"
],
"title": "user_count",
"format": "int32"
},
"conversion_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "conversion_rate",
"format": "double"
},
"dropoff_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "dropoff_rate",
"format": "double"
}
},
"title": "FunnelStepResult",
"additionalProperties": false
}
},
"title": "steps"
},
"average_time_hours": {
"type": "number",
"examples": [
"0.85"
],
"title": "average_time_hours",
"format": "double"
}
},
"title": "FunnelAnalytics",
"additionalProperties": false
}
}